package com.enactor.pos;

import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

import com.enactor.core.TestGroups;
import com.enactor.core.automation.AUT.AutomationException;
import com.enactor.pos.swing.SwingPosStepsProvider;
import com.enactor.pos.test.BaseStepsProvider;
import static org.testng.Assert.assertEquals;

@Test(groups = { TestGroups.CONTINUOUS })
public class SwingPosStepsProviderTest {
	private BaseStepsProvider baseStepProvider;

	@BeforeClass
	protected void setUp() throws Exception {
		this.baseStepProvider = new SwingPosStepsProvider();
	}

	@Test(enabled = false)
	public void testGetTestData() throws AutomationException {

		String input1 = "Sales Assistant - UK, Tom";
		String expected1 = "Sales Assistant - UK, Tom";
		String actual1 = this.baseStepProvider.getTestData(input1);
		assertEquals(actual1, expected1);

		String input2 = "$Sales #Assistant {- UK, }Tom";
		String expected2 = "Sales Assistant - UK, Tom";
		String actual2 = this.baseStepProvider.getTestData(input2);
		assertEquals(actual2, expected2);

	}

}
